#!/usr/bin/perl -w


#created by Matthew Hestand, Michiel van Galen, Michel Villerius

#Copyright 2010 Leiden University Medical Center http://www.lgtc.nl/GAPSS


#This file is part of GAPSS.
#
#    GAPSS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    GAPSS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with GAPSS.  If not, see <http://www.gnu.org/licenses/>.

my $galaxy_input             = $ARGV[0];
my $galaxy_sequence          = $ARGV[1];
my $galaxy_write_over_file   = $ARGV[2];
my $galaxy_output            = $ARGV[3];

system ("/usr/local/galaxy_dist/tools/NGS_tools_LUMC/GAPSS_add_5prime_sequence_v2.1.pl $galaxy_input $galaxy_sequence $galaxy_write_over_file $galaxy_output");

system (" mv $galaxy_input.\"sequence_\"$galaxy_sequence\"_added_to_5prime\" $galaxy_output ");

#$fastq_output_file_name_sub = $file_to_convert.".sequence_".$sequence_to_add."_added_to_5prime";
#test_fastq.sequence_ababab_added_to_5prime
