#!/usr/bin/perl -w


#created by Matthew Hestand, Michiel van Galen, Michel Villerius

#Copyright 2010 Leiden University Medical Center http://www.lgtc.nl/GAPSS


#This file is part of GAPSS.
#
#    GAPSS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    GAPSS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with GAPSS.  If not, see <http://www.gnu.org/licenses/>.


my $galaxy_input             = $ARGV[0];
my $SeperateStrands          = $ARGV[1];
my $CutOff		     = $ARGV[2];
my $galaxy_output1           = $ARGV[3];
my $galaxy_output2	     = $ARGV[4];

system ("/usr/local/galaxy_dist/tools/NGS_tools_LUMC/GAPSS_igf2wig.v2.pl -i $galaxy_input -s $SeperateStrands -c $CutOff");
	
#hen -s=0 only one file gets created and that end with _ALL.WIG.gz and this gets renamed to the galaxy_output var 
#so far this works for one output file.


if ($SeperateStrands == 0 ) {
	system (" mv $galaxy_input\"_ALL.WIG.gz\" $galaxy_output1 ");
}
else {
	system (" mv $galaxy_input\"_FWD.WIG.gz\" $galaxy_output1 ");
	system (" mv $galaxy_input\"_REV.WIG.gz\" $galaxy_output2 ");
}
#when -s=1 two files get created  _FWD.WIG.gz and _REV.WIG.gz both these files needs to be imported as a history item
#this part is what I don't get at the moment, I'm not sure if my .xml is giving all the right vars to do the job?
