#!/usr/bin/perl -w


#created by Matthew Hestand, Michiel van Galen, Michel Villerius

#Copyright 2010 Leiden University Medical Center http://www.lgtc.nl/GAPSS


#This file is part of GAPSS.
#
#    GAPSS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    GAPSS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with GAPSS.  If not, see <http://www.gnu.org/licenses/>.

my $galaxy_input                          = $ARGV[0];
my $linker_5_or_3_prime                   = $ARGV[1];
my $linker_sequence                       = $ARGV[2];
my $number_missmatches_to_allow_in_linker = $ARGV[3];
my $overwrite_file                        = $ARGV[4];
my $galaxy_output                         = $ARGV[5];

system ("/usr/local/galaxy_dist/tools/NGS_tools_LUMC/GAPSS_edit_linkers.v2.pl $galaxy_input $linker_5_or_3_prime $linker_sequence $number_missmatches_to_allow_in_linker $overwrite_file");

system (" mv $galaxy_input.\"edited_for_linkers\" $galaxy_output ");



