#!/usr/bin/perl -w


#created by Matthew Hestand, Michiel van Galen, Michel Villerius

#Copyright 2010 Leiden University Medical Center http://www.lgtc.nl/GAPSS


#This file is part of GAPSS.
#
#    GAPSS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    GAPSS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with GAPSS.  If not, see <http://www.gnu.org/licenses/>.

my $galaxy_input             = $ARGV[0];
my $Splitbystrand            = $ARGV[1];
my $galaxy_output1           = $ARGV[2];
my $galaxy_output2           = $ARGV[3];

system ("/usr/local/galaxy_dist/tools/NGS_tools_LUMC/GAPSS_make_regions.v2.pl  $galaxy_input $Splitbystrand");


if ($Splitbystrand eq 'N' ) {
	system (" mv $galaxy_input\".region\" $galaxy_output1 ");
}
else {
	system (" mv $galaxy_input\"_F.region\" $galaxy_output1 " );
	system (" mv $galaxy_input\"_R.region\" $galaxy_output2 " );
}
